Results 1 to 8 of 8

Thread: tumbleweed + plasma5 + kde4

  1. #1
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,102

    Default tumbleweed + plasma5 + kde4

    Before tumbleweed switched to plasma 5 from kde 4 - I used to add plasma 5 from woolf's repo. Is it possible to do the reverse - install tumbleweed with plasma 5, then replace plasma5 with kde4 and then add back plasma 5 using woolf's repo?

    Thanks

  2. #2

    Default Re: tumbleweed + plasma5 + kde4

    Quote Originally Posted by dth2 View Post
    Before tumbleweed switched to plasma 5 from kde 4 - I used to add plasma 5 from woolf's repo. Is it possible to do the reverse - install tumbleweed with plasma 5, then replace plasma5 with kde4 and then add back plasma 5 using woolf's repo?
    Yes, it should be possible.

    Just add my repo, switch to it (to get my Plasma5 packages), then you should be able to install kdebase4-session (which pulls in the KDE4 desktop) without a conflict.
    Btw, I have all KDE4 applications that are already KF5 based in my repo too meanwhile. That switch will install the KDE4 versions.
    The corresponding KF5 versions have a '5' appended in my repo, you might need to install (some of) them manually.

    One note though: I tested this myself a few months ago, and it worked (haven't tried since then).
    But a "zypper dup" wanted to switch Plasma5 to the official Tumbleweed version again (and remove KDE4), although my repo had a higher priority. I'm not sure why this is. But "zypper up" should work fine to update your system.

    PS: the repo URL for Tumbleweed is:
    http://download.opensuse.org/reposit...SE_Tumbleweed/

    There's also http://download.opensuse.org/reposit...nSUSE_Factory/ which is more up to date (contains Plasma 5.4 already), but that additionally needs KDE:Frameworks5.
    Last edited by wolfi323; 28-Aug-2015 at 03:59.

  3. #3
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,102

    Default Re: tumbleweed + plasma5 + kde4

    Many thanks wolfi. I will give it a go tonight. I was thinking of re-installing tumbleweed from the latest iso, then adding kde3. Logging into kde3 then replacing tumbleweed's plasma5 with your repo and then adding kde4.

    As always many thanks for you help. I am fine with plasma5 but on balance still prefer kde4 (so before tumbleweed switched to plasma 5 it used to suit me fine adding plasma5 from your repo).

  4. #4
    Join Date
    Sep 2013
    Location
    Eastern US
    Posts
    78

    Default Re: tumbleweed + plasma5 + kde4

    Quote Originally Posted by wolfi323
    There's also http://download.opensuse.org/reposit...nSUSE_Factory/ which is more up to date (contains Plasma 5.4 already), but that additionally needs KDE:Frameworks5.
    Doesn't this also require the "QT5:Factory" repo?

  5. #5

    Default Re: tumbleweed + plasma5 + kde4

    Quote Originally Posted by noee View Post
    Doesn't this also require the "QT5:Factory" repo?
    Actually no.
    KDE:Frameworks5 for Factory is not built agains KDE:Qt5, but against the Qt5 packages in Factory/Tumbleweed.

  6. #6

    Default Re: tumbleweed + plasma5 + kde4

    Quote Originally Posted by noee View Post
    Doesn't this also require the "QT5:Factory" repo?
    Actually no.

    KDE:Frameworks5 for Factory is not built against KDE:Qt5, but against the standard Qt5 packages in Factory/Tumbleweed.

    Only the 13.1/13.2 repos need KDE:Qt5 because the Qt5 included is too old (although 13.2 did get 5.4.2 as update meanwhile).
    Last edited by wolfi323; 28-Aug-2015 at 11:45.

  7. #7
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,102

    Default Re: tumbleweed + plasma5 + kde4

    kde4 successfully installed. Thanks for the help.

  8. #8

    Default Re: tumbleweed + plasma5 + kde4

    Quote Originally Posted by dth2 View Post
    kde4 successfully installed. Thanks for the help.
    Good to hear!

    Thanks for the feedback.

    If you find problems with the packages in my repo, please feel free to tell me. I cannot test everything myself any more (and especially not for all distribution versions), the repo has grown too big...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •